org.apache.olingo.odata2.api.edm.provider

## Class ComplexType

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.provider.ComplexType

- Direct Known Subclasses:
    EntityType

      public class ComplexType
      extends Object

  Objects of this class represent a complex type

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComplexType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AnnotationAttribute>` | `getAnnotationAttributes()`
    `List<AnnotationElement>` | `getAnnotationElements()`
    `FullQualifiedName` | `getBaseType()`
    `Documentation` | `getDocumentation()`
    `Mapping` | `getMapping()`
    `String` | `getName()`
    `List<Property>` | `getProperties()`
    `boolean` | `isAbstract()`
    `ComplexType` | `setAbstract(boolean isAbstract)` Sets if it is abstract
    `ComplexType` | `setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)` Sets the collection of `AnnotationAttribute` for this `ComplexType`
    `ComplexType` | `setAnnotationElements(List<AnnotationElement> annotationElements)` Sets the collection of `AnnotationElement` for this `ComplexType`
    `ComplexType` | `setBaseType(FullQualifiedName baseType)` Sets the `FullQualifiedName` of the base type
    `ComplexType` | `setDocumentation(Documentation documentation)` Sets the `Documentation`
    `ComplexType` | `setMapping(Mapping mapping)` Sets the `Mapping`
    `ComplexType` | `setName(String name)` Sets the name
    `ComplexType` | `setProperties(List<Property> properties)` Sets the `Property`s

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComplexType

          public ComplexType()

  - ### Method Detail

    - #### getName

          public String getName()

      Returns:
        String name

    - #### getBaseType

          public FullQualifiedName getBaseType()

      Returns:
        `FullQualifiedName` of the base type of this type (namespace and name)

    - #### isAbstract

          public boolean isAbstract()

      Returns:
        boolean if this type is abstract

    - #### getProperties

          public List<Property> getProperties()

      Returns:
        List<`Property`> of all properties for this type

    - #### getMapping

          public Mapping getMapping()

      Returns:
        `Mapping` for this type

    - #### getDocumentation

          public Documentation getDocumentation()

      Returns:
        `Documentation` documentation

    - #### getAnnotationAttributes

          public List<AnnotationAttribute> getAnnotationAttributes()

      Returns:
        collection of `AnnotationAttribute` annotation attributes

    - #### getAnnotationElements

          public List<AnnotationElement> getAnnotationElements()

      Returns:
        collection of `AnnotationElement` annotation elements

    - #### setName

          public ComplexType setName(String name)

      Sets the name
      Parameters:
        `name` -
      Returns:
        `ComplexType` for method chaining

    - #### setBaseType

          public ComplexType setBaseType(FullQualifiedName baseType)

      Sets the `FullQualifiedName` of the base type
      Parameters:
        `baseType` -
      Returns:
        `ComplexType` for method chaining

    - #### setAbstract

          public ComplexType setAbstract(boolean isAbstract)

      Sets if it is abstract
      Parameters:
        `isAbstract` -
      Returns:
        `ComplexType` for method chaining

    - #### setProperties

          public ComplexType setProperties(List<Property> properties)

      Sets the `Property`s
      Parameters:
        `properties` -
      Returns:
        `ComplexType` for method chaining

    - #### setMapping

          public ComplexType setMapping(Mapping mapping)

      Sets the `Mapping`
      Parameters:
        `mapping` -
      Returns:
        `ComplexType` for method chaining

    - #### setDocumentation

          public ComplexType setDocumentation(Documentation documentation)

      Sets the `Documentation`
      Parameters:
        `documentation` -
      Returns:
        `ComplexType` for method chaining

    - #### setAnnotationAttributes

          public ComplexType setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)

      Sets the collection of `AnnotationAttribute` for this `ComplexType`
      Parameters:
        `annotationAttributes` -
      Returns:
        `ComplexType` for method chaining

    - #### setAnnotationElements

          public ComplexType setAnnotationElements(List<AnnotationElement> annotationElements)

      Sets the collection of `AnnotationElement` for this `ComplexType`
      Parameters:
        `annotationElements` -
      Returns:
        `ComplexType` for method chaining

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.